import request from '@/utils/request'

// 查询接口调用频次列表
export function listApiCount(query) {
  return request({
    url: '/apiCount/apiCount/list',
    method: 'get',
    params: query
  })
}

// 查询接口调用频次详细
export function getApiCount(id) {
  return request({
    url: '/apiCount/apiCount/' + id,
    method: 'get'
  })
}

// 新增接口调用频次
export function addApiCount(data) {
  return request({
    url: '/apiCount/apiCount',
    method: 'post',
    data: data
  })
}

// 修改接口调用频次
export function updateApiCount(data) {
  return request({
    url: '/apiCount/apiCount',
    method: 'put',
    data: data
  })
}

// 删除接口调用频次
export function delApiCount(id) {
  return request({
    url: '/apiCount/apiCount/' + id,
    method: 'delete'
  })
}
//修改接口状态
export function changeApiCountStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/apiCount/apiCount/changeStatus',
    method: 'put',
    data: data
  })
}
