import request from "@/utils/request";

// 获取车辆信息列表
export function clxxlbList(query) {
  return request({
    url: "/gpscController/clxxlbList",
    method: "get",
    params: query,
  });
}
// 获取补拍车辆信息列表
export function uploadClxxlbList(query) {
  return request({
    url: "/gpscController/uploadClxxlbList",
    method: "get",
    params: query,
  });
}
// 获取检测上传列表
export function jdcscList(query) {
  return request({
    url: "/gpscController/jdcscList",
    method: "get",
    params: query,
  });
}

// 获取用户登录IP
export function getLoginUserIp() {
  return request({
    url: "/gpscController/getUserIp",
    method: "post",
  }).then((res) => {
    return "http://" + res.msg + ":38088";
  });
}

export function getAccession(query) {
  return request({
    url: "/gpscController/accession",
    method: "get",
    params: query,
  });
}

export function updateJbxx(selectedValues, jylsh, hphm, jycs, hpzl) {
  return request({
    url: `/gpscController/updateJbxx?selectedValues=${selectedValues}&jylsh=${jylsh}&hphm=${hphm}&jycs=${jycs}&hpzl=${hpzl}`,
    method: "post",
  });
}

export function uploadImage(postData) {
  return request({
    url: `/gpscController/uploadImage`,
    method: "post",
    data: postData,
  });
}

export function queryDiskFile(data) {
  return request({
    url: `/gpscController/queryDiskFile`,
    method: "post",
    data: data,
  });
}

export function submitAudit(data) {

  return request({
    url: `/gpscController/submitAudit`,
    method: "post",
    data: data,
  });
}

// 新增车辆排放信息
export function addEmission(data) {
  return request({
    url: "/gpscController/addEmission",
    method: "post",
    data: data,
  });
}
export function getReionConfig() {
  return request({
    url: "/gpscController/getReionConfig",
    method: "get",
  });
}
