import request from '@/utils/request'

// 查询检测人员管理列表
export function listUserinfo(query) {
  return request({
    url: '/system/userinfo/list',
    method: 'get',
    params: query
  })
}

// 查询检测人员管理详细
export function getUserinfo(id) {
  return request({
    url: '/system/userinfo/' + id,
    method: 'get'
  })
}

// 新增检测人员管理
export function addUserinfo(data) {
  return request({
    url: '/system/userinfo',
    method: 'post',
    data: data
  })
}

// 修改检测人员管理
export function updateUserinfo(data) {
  return request({
    url: '/system/userinfo/update',
    method: 'post',
    data: data
  })
}

// 删除检测人员管理
export function delUserinfo(id) {
  return request({
    url: '/system/userinfo/' + id,
    method: 'delete'
  })
}
