import request from '@/utils/request'

// 查询公告查询列表
export function listNotice(query) {
  return request({
    url: '/notice/notice/list',
    method: 'get',
    params: query
  })
}
// 下载公告文本信息
export function downloadNotice(query) {
  return request({
    url: '/notice/notice/download',
    method: 'get',
    params: query
  })
}
// 下载公告照片信息
export function downloadImage(id) {
  return request({
    url: '/notice/notice/downloadImage/'+ id,
    method: 'get'
  })
}


// 查询公告查询详细
export function getNotice(id) {
  return request({
    url: '/notice/notice/' + id,
    method: 'get'
  })
}

// 新增公告查询
export function addNotice(data) {
  return request({
    url: '/notice/notice',
    method: 'post',
    data: data
  })
}

// 修改公告查询
export function updateNotice(data) {
  return request({
    url: '/notice/notice',
    method: 'put',
    data: data
  })
}

// 删除公告查询
export function delNotice(id) {
  return request({
    url: '/notice/notice/' + id,
    method: 'delete'
  })
}
