import request from '@/utils/request'

/**
 * 自己写的字典类型
 * @param query
 * @returns {*}
 */
// 查询字典-车辆类型列表
export function listType(query) {
  return request({
    url: '/system/type/vehicltype/list',
    method: 'get',
    params: query
  })
}

// 查询字典-车辆类型详细
export function getType(id, tableName) {
  return request({
    url: '/system/type/vehicltype/' + id + '/' + tableName,
    method: 'get'
  })
}

// 新增字典-车辆类型
export function addType(data) {
  return request({
    url: '/system/type/vehicltype',
    method: 'post',
    data: data
  })
}

// 修改字典-车辆类型
export function updateType(data) {
  return request({
    url: '/system/type/vehicltype',
    method: 'put',
    data: data
  })
}

// 删除字典-车辆类型
export function delType(id, tableName) {
  return request({
    url: '/system/type/vehicltype/' + id + '/' + tableName,
    method: 'delete'
  })
}
