import request from '@/utils/request'

// 查询参数配置列表
export function listLoginConfig(query) {
  return request({
    url: '/system/loginConfig/list',
    method: 'get',
    params: query
  })
}

// 查询参数配置详细
export function getLoginConfig(configId) {
  return request({
    url: '/system/loginConfig/' + configId,
    method: 'get'
  })
}

// 新增参数配置
export function addLoginConfig(data) {
  return request({
    url: '/system/loginConfig',
    method: 'post',
    data: data
  })
}

// 修改参数配置
export function updateLoginConfig(data) {
  return request({
    url: '/system/loginConfig',
    method: 'put',
    data: data
  })
}

// 删除参数配置
export function delLoginConfig(configId) {
  return request({
    url: '/system/loginConfig/' + configId,
    method: 'delete'
  })
}
