import request from '@/utils/request'

/**
 * 自己写的字典
 * @param query
 * @returns {*}
 */
// 查询用户菜单管理列表
export function listType(query) {
  return request({
    url: '/system/type/list',
    method: 'get',
    params: query
  })
}

// 查询用户菜单管理详细
export function getType(dictId) {
  return request({
    url: '/system/type/' + dictId,
    method: 'get'
  })
}

// 新增用户菜单管理
export function addType(data) {
  return request({
    url: '/system/type',
    method: 'post',
    data: data
  })
}

// 修改用户菜单管理
export function updateType(data) {
  return request({
    url: '/system/type',
    method: 'put',
    data: data
  })
}

// 删除用户菜单管理
export function delType(dictId) {
  return request({
    url: '/system/type/' + dictId,
    method: 'delete'
  })
}
