/*
 * @Author: whh 494012457@qq.com
 * @Date: 2024-04-01 11:19:37
 * @LastEditors: whh 494012457@qq.com
 * @LastEditTime: 2024-05-14 13:35:21
 * @FilePath: \ajpt-vue\src\api\video\video.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from "@/utils/request";

// 查询检测视频列表
export function listVideo(query) {
  return request({
    url: "/video/video/list",
    method: "get",
    params: query,
  });
}

// 下载检测视频
export function downloadVideo(ids) {
  return request({
    url: "/video/video/downloadVideo/" + ids,
    method: "get",
  });
}

// 查询检测视频菜单
export function getVideoMenu(query) {
  return request({
    url: "/video/video/getVideoMenu",
    method: "post",
    data: query,
  });
}
// 查询检测视频菜单
export function getHistoryVideo(query) {
  return request({
    url: "/video/video/getHistoryVideo",
    method: "post",
    data: query,
  });
}

//截图上传
export function uploadImage(postData) {
  return request({
    url: `/video/video/uploadImage`,
    method: "post",
    data: postData,
  });
}
//获取检测视频
export function getVedio(id) {
  return request({
    url: '/video/video/' + id,
    method: 'get'
  })
}
//修改视频时间
export function updateVideoTime(data) {
  return request({
    url: '/video/video/updateVideoTime',
    method: 'post',
    data: data
  })
}
