import request from '@/utils/request'

// 查询system列表
export function listReservation(query) {
  return request({
    url: '/system/reservation/list',
    method: 'get',
    params: query
  })
}

// 查询system详细
export function getReservation(id) {
  return request({
    url: '/system/reservation/' + id,
    method: 'get'
  })
}

// 新增system
export function addReservation(data) {
  return request({
    url: '/system/reservation',
    method: 'post',
    data: data
  })
}

// 下载预约信息
export function downloadYuYue(query) {
  return request({
    url: '/system/reservation/download',
    method: 'get',
    params: query
  })
}
// 修改system
export function updateReservation(data) {
  return request({
    url: '/system/reservation',
    method: 'put',
    data: data
  })
}

// 删除system
export function delReservation(id) {
  return request({
    url: '/system/reservation/' + id,
    method: 'delete'
  })
}
